Intel admits that Meltdown and Spectre patch problems affect newer CPUs

Not just Haswell and Broadwell processors

 

Intel admits that Meltdown and Spectre patch problems affect newer CPUs

 

You may recall that last week, Intel warned that its fixes for Meltdown and Spectre had caused elements of instability with some of its older processors, but now the firm has said that the stability gremlins also pertain to newer chips. Much newer chips, in fact.

In a news update which clarified that firmware updates have now been issued for 90% of Intel’s processors introduced in the past five years, as planned, Intel restated that some customers have reported ‘more frequent reboots’ on Haswell and Broadwell (4th and 5th-gen CPUs) powered PCs after the patch had been applied.

The chip giant then added that ‘similar behavior’ occurs on some machines which have still-older Sandy Bridge and Ivy Bridge (2nd and 3rd-gen) processors, but more worryingly, newer Skylake and Kaby Lake CPUs (6th and 7th-gen).

Pinning down the cores

Intel said that it had replicated these issues in internal testing, and that it’s making progress in terms of identifying the precise cause. The firm also noted that it will be providing a fresh beta microcode patch to manufacturers and software developers next week for testing.

So, in short, these patch problems affect all of Intel’s processors, except the original Core 1st-gen CPUs, and the very latest 8th-gen models. Hopefully a streamlined fix without these issues will emerge pretty soon after vendor testing is done next week, although Intel doesn’t recommend that folks wait before patching, given the seriousness of these bugs.

As we reported earlier this week, there’s every chance that the assorted hackers and malware peddlers out there could be close to weaponizing some kind of exploit to leverage against these vulnerabilities. And if that happens, say, tomorrow, you won’t want to be unpatched for the sake of avoiding some rebooting issues.

Still, it’s certainly surprising that Intel understated the reach of these stability issues earlier this week, and that processors as recent as Kaby Lake models are hit.

Of course, if you’re fretting about these security flaws, don’t forget that we have a full guide on how to protect against Meltdown and Spectre.

Via PC World

 

article by Darren Allan at http://www.techradar.com/news/intel-admits-that-meltdown-and-spectre-patch-problems-affect-newer-cpus